Loading...
Searching...
No Matches
Film::RGBA Struct Reference

Floating-point RGBA components in the range [0, 1]. More...

`#include <openvdb/tools/RayTracer.h>`

## Public Types

using | ValueT = float

## Public Member Functions

| RGBA ()
| RGBA (ValueT intensity)
| RGBA (ValueT _r, ValueT _g, ValueT _b, ValueT _a=static_cast< ValueT >(1.0))
| RGBA (double _r, double _g, double _b, double _a=1.0)
RGBA | operator* (ValueT scale) const
RGBA | operator+ (const RGBA &rhs) const
RGBA | operator* (const RGBA &rhs) const
RGBA & | operator+= (const RGBA &rhs)
void | over (const RGBA &rhs)

## Public Attributes

ValueT | r
ValueT | g
ValueT | b
ValueT | a

## Detailed Description

Floating-point RGBA components in the range [0, 1].

This is our preferred representation for color processing.

## Member Typedef Documentation

## ValueT

using ValueT = float

## Constructor & Destructor Documentation

## RGBA() [1/4]

RGBA | ( |  | ) |

inline

## RGBA() [2/4]

RGBA | ( | ValueT | intensity | ) |

inlineexplicit

## RGBA() [3/4]

RGBA | ( | ValueT | _r,
|  | ValueT | _g,
|  | ValueT | _b,
|  | ValueT | _a = static_cast<ValueT>(1.0) )

inline

## RGBA() [4/4]

RGBA | ( | double | _r,
|  | double | _g,
|  | double | _b,
|  | double | _a = 1.0 )

inline

## Member Function Documentation

## operator*() [1/2]

RGBA operator* | ( | const RGBA & | rhs | ) | const

inline

## operator*() [2/2]

RGBA operator* | ( | ValueT | scale | ) | const

inline

## operator+()

RGBA operator+ | ( | const RGBA & | rhs | ) | const

inline

## operator+=()

RGBA & operator+= | ( | const RGBA & | rhs | ) |

inline

## over()

void over | ( | const RGBA & | rhs | ) |

inline

## Member Data Documentation

## a

ValueT a

## b

ValueT b

## g

ValueT g

## r

ValueT r